%define name iriverter
%define version 0.16
%define release %mkrel 1


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	iriverter is a cross-platform multimedia player.
Summary(de):	iriverter ist eine plattformübergreifende Multimedia-Player.
License:	GPL
Group:		Video
URL:		http://sourceforge.net/projects/iriverter/files/
Source0:	%{name}-%{version}.tar.bz2
Source1:	swt-M20070212-1330-gtk-linux-x86.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	java-1.6.0-sun-devel libgcj-devel eclipse
Requires:	java
Provides:	eclipse-swt swt-gtk

%description
iriverter is a cross-platform frontend to mencoder designed to facilitate
the conversion of almost any video format to one that is playable on various
multimedia players.

%description -l de
iriverter ist ein Cross-Plattform-Frontend für mencoder entwickelt, um die
Konvertierung von nahezu jedem Videoformat auf einen für diversen tragbare
Multimedia-Player abspielbar zu machen.


%prep
%setup -q
tar xfvj %SOURCE1 -C ${RPM_BUILD_DIR}

%build
autoreconf -fi
%configure2_5x --with-swt="${RPM_BUILD_DIR}/swt-M20070212-1330-gtk-linux-x86/swt.jar"

%make

%install
rm -rf %{buildroot}

%make install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p %{buildroot}%{_libdir}/java
cp ${RPM_BUILD_DIR}/swt-M20070212-1330-gtk-linux-x86/*.* ${RPM_BUILD_ROOT}%{_libdir}/java


mkdir -p %{buildroot}%{_datadir}/applications
rm -Rf %{buildroot}%{_datadir}/applications/*.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Iriverter
Comment=Convert videos for your handheld device
Comment[de]=Konvertieren Sie Videos für Handheld-Gerät
Exec=iriverter
Icon=iriverter.png
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Video;AudioVideo;
Terminal=false
StatupNotify=true
EOF

rm -Rf %{buildroot}%{_bindir}/%{name}
cat > %{buildroot}%{_bindir}/%{name}  <<EOF
#!/bin/sh
prefix=/usr
exec_prefix=/usr
java -Djava.library.path=$LD_LIBRARY_PATH:/usr/lib/java/ -classpath $CLASSPATH:/usr/share/iriverter/lib/iriverter.jar:/usr/lib/java/swt.jar org.thestaticvoid.iriverter.ConverterUI $*
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_libdir}/java/*


%changelog
* Fri Jul 16 2010 Texstar <texstar @gmail.com> 0.16-2pclos2010
- fix synaptic/rpm group to Video
- Change name in menu to Irverter
- Change menu category to Video as it is a Video application

* Thu Jul 15 2010 maik3531 <maik3531 at yahoo.de> 0.16-1pclos2010
- initial build for PCLinuxOS
